org.apache.uima.jcas.cas

## Class AnnotationBase_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.AnnotationBase_Type

- Direct Known Subclasses:
    Annotation_Type

  Deprecated.

      @Deprecated
      public class AnnotationBase_Type
      extends TOP_Type

  for v2 compiling only

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `featOkTst` Deprecated.
    `static int` | `typeIndexID` Deprecated.

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AnnotationBase_Type()` Deprecated.
    `` | `AnnotationBase_Type(JCas jcas, Type casType)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FSGenerator<?>` | `getFSGenerator()` Deprecated.
    `SofaFS` | `getSofa(int addr)` Deprecated.
    `CAS` | `getView(int addr)` Deprecated.

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, getTypeIndexID, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      Deprecated.
      See Also:
        Constant Field Values

    - #### featOkTst

          public static final boolean featOkTst

      Deprecated.

  - ### Constructor Detail

    - #### AnnotationBase_Type

          public AnnotationBase_Type(JCas jcas,
                                     Type casType)

      Deprecated.

    - #### AnnotationBase_Type

          protected AnnotationBase_Type()

      Deprecated.

  - ### Method Detail

    - #### getFSGenerator

          protected FSGenerator<?> getFSGenerator()

      Deprecated.
      Overrides:
        `getFSGenerator` in class `TOP_Type`

    - #### getSofa

          public SofaFS getSofa(int addr)

      Deprecated.

    - #### getView

          public CAS getView(int addr)

      Deprecated.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.